package com.steerinfo.ems.tcmcodeinfo.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

/**
 * TRmEnergyType RESTful接口：
 * @author 李日量
 * @Date 2019/9/26 16:42
 * @Copyright 湖南视拓信息技术股份有限公司
 */
public class TCmCodeInfo implements IBasePO<String> {

    private String ID;
    @ApiModelProperty(value = "类别代码",required = true)
    private  String typeCode;
    @ApiModelProperty(value ="类别名称",required = true)
    private  String typeName;
    @ApiModelProperty(value = "类别描述",required = true)
    private  String typeDesc;
    @ApiModelProperty(value = "生效时间",required = true)
    private  String effectTime;
    @ApiModelProperty(value = "过期时间",required = true)
    private  String expireTime;
    @ApiModelProperty(value = "创建者",required = true)
    private  String recCreator;
    @ApiModelProperty(value = "创建时间",required = true)
    private  String recCreatTime;
    @ApiModelProperty(value = "创建说明",required = true)
    private  String recDesc;
    @ApiModelProperty(value = "状态",required = true)
    private  String state;
    @ApiModelProperty(value = "分类",required = true)
    private  String classify;
    @ApiModelProperty(value = "分类1",required = true)
    private  String classify1;
    @ApiModelProperty(value = "分类2",required = true)
    private  String classify2;
    @ApiModelProperty(value = "分类3",required = true)
    private  String classify3;
    @ApiModelProperty(value = "分类4",required = true)
    private  String classify4;
    @ApiModelProperty(value = "备用代码",required = true)
    private  String bcode;
    @ApiModelProperty(value = "备用代码1",required =true )
    private  String bdesc1;
    @ApiModelProperty(value = "备用代码2",required =true )
    private  String bdesc2;

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode == null ? null : typeCode.trim();
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName == null ? null : typeName.trim();
    }

    public String getTypeDesc() {
        return typeDesc;
    }

    public void setTypeDesc(String typeDesc) {
        this.typeDesc = typeDesc == null ? null : typeDesc.trim();
    }

    public String getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(String effectTime) {
        this.effectTime = effectTime == null ? null :effectTime.trim();
    }

    public String getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime == null ? null : expireTime.trim();
    }

    public String getRecCreator() {
        return recCreator;
    }

    public void setRecCreator(String recCreator) {
        this.recCreator = recCreator == null ? null : recCreator.trim();
    }

    public String getRecCreatTime() {
        return recCreatTime;
    }

    public void setRecCreatTime(String recCreatTime) {
        this.recCreatTime = recCreatTime == null ? null : recCreatTime.trim();
    }

    public String getRecDesc() {
        return recDesc;
    }

    public void setRecDesc(String recDesc) {
        this.recDesc = recDesc == null ? null : recDesc.trim();
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state == null ? null : state.trim();
    }

    public String getClassify() {
        return classify;
    }

    public void setClassify(String classify) {
        this.classify = classify == null ? null : classify.trim();
    }

    public String getClassify1() {
        return classify1;
    }

    public void setClassify1(String classify1) {
        this.classify1 = classify1 == null ? null : classify1.trim();
    }

    public String getClassify2() {
        return classify2;
    }

    public void setClassify2(String classify2) {
        this.classify2 = classify2 == null ? null : classify2.trim();
    }

    public String getClassify3() {
        return classify3;
    }

    public void setClassify3(String classify3) {
        this.classify3 = classify3 == null ? null : classify3.trim();
    }

    public String getClassify4() {
        return classify4;
    }

    public void setClassify4(String classify4) {
        this.classify4 = classify4 == null ? null :classify4.trim();
    }

    public String getBcode() {
        return bcode;
    }

    public void setBcode(String bcode) {
        this.bcode = bcode == null ? null : bcode.trim();
    }

    public String getBdesc1() {
        return bdesc1;
    }

    public void setBdesc1(String bdesc1) {
        this.bdesc1 = bdesc1 == null ? null : bdesc1.trim();
    }

    public String getBdesc2() {
        return bdesc2;
    }

    public void setBdesc2(String bdesc2) {
        this.bdesc2 = bdesc2 == null ? null : bdesc2.trim();
    }

    @Override
    public String toString() {
        return "TCmCodeInfo{" +
                ", typeCode='" + typeCode + '\'' +
                ", typeName='" + typeName + '\'' +
                ", typeDesc='" + typeDesc + '\'' +
                ", effectTime='" + effectTime + '\'' +
                ", expireTime='" + expireTime + '\'' +
                ", recCreator='" + recCreator + '\'' +
                ", recCreatTime='" + recCreatTime + '\'' +
                ", recDesc='" + recDesc + '\'' +
                ", state='" + state + '\'' +
                ", classify='" + classify + '\'' +
                ", classify1='" + classify1 + '\'' +
                ", classify2='" + classify2 + '\'' +
                ", classify3='" + classify3 + '\'' +
                ", classify4='" + classify4 + '\'' +
                ", bcode='" + bcode + '\'' +
                ", bdesc1='" + bdesc1 + '\'' +
                ", bdesc2='" + bdesc2 + '\'' +
                '}';
    }

    @Override
    public String getId() {
        return null;
    }

    @Override
    public void setId(String s) {

    }
}
